<template>
  <div class="card flex flex-col max-w-sm rounded overflow-hidden shadow-md hover:shadow-xl mb-8 md:ml-8 md:mb-0 lg:ml-0">
    <g-image class="w-full" v-if="project.image" :src="project.image" />
    <div class="card-content px-6 py-4 flex-grow">
      <h2 class="font-bold mb-2">{{ project.title }}</h2>
      <p class="self-stretch text-gray-700 text-base project-description">{{ project.description }}</p>
    </div>
    <g-link class="link-background" :to="project.path">Voir plus</g-link>
    <div class="px-4 py-2 mt-2">
      <span v-for="lang in project.language" v-bind:key="lang.id" class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2 mb-2">{{ lang }}</span>
    </div>
  </div>
</template>

<script>
export default {
  props: ['project'],
}
</script>

<style lang="scss" scoped>
  .shadow-md {
    transition: all .3s ease-out;
  }

  .project-description {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }

  .card {
    margin-bottom: 1.5rem;

    &:not(:last-of-type) {
      margin-right: 1rem;
    }
  }

</style>